package com.pcloud.book.test;

import com.alibaba.fastjson.JSON;
import com.pcloud.book.BookApplication;
import com.pcloud.book.es.biz.ESBookAndAdviserBiz;
import com.pcloud.book.es.entity.ESBookAndAdviser;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.data.domain.Page;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

@Slf4j
@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(classes = {BookApplication.class, ESBookAndAdviserBizTest.class})
public class ESBookAndAdviserBizTest {

    @Autowired
    private ESBookAndAdviserBiz esBookAndAdviserBiz;

    @Test
    public void testes() {
        Page<ESBookAndAdviser> p = esBookAndAdviserBiz.getAdviserBooks4ES(null, "计算机互联网",
                null, null, 0, 50);

        log.info("count:{}", p.getTotalElements());
        p.forEach((baa) -> log.info(JSON.toJSONString(baa)));

        p = esBookAndAdviserBiz.getAdviserBooks4ES(null, "测试书籍",
                null, null, 0, 50);

        log.info("count:{}", p.getTotalElements());
        p.forEach((baa) -> log.info(JSON.toJSONString(baa)));

        p = esBookAndAdviserBiz.getAdviserBooks4ES(null, "学基础训练上册",
                null, null, 0, 50);

        log.info("count:{}", p.getTotalElements());
        p.forEach((baa) -> log.info(JSON.toJSONString(baa)));
    }


}
